﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication21
{
    public partial class Form1 : Form
    {
        Jazyk jazyk = new Jazyk();
        Zmena zmena = new Zmena();

        public Form1()
        {
            InitializeComponent();

            comboBox1.SelectedIndex = 0;
            comboBox2.SelectedIndex = 0;

            var menuStrip1 = new System.Windows.Forms.MenuStrip();

            JazykAutomat automat = new JazykAutomat();
            
            zmena.mazaniboxu(this);
            zmena.pridanidelky(this);

            automat.defaultjazyk(this);

        }

        private void btnPocitej_Click(object sender, EventArgs e)
        {
            double hodnota;
            
            if (double.TryParse(textBox1.Text, out hodnota))
            {
                
                String jednotka = comboBox1.SelectedItem.ToString();
                
                String jednotkaa = comboBox2.SelectedItem.ToString();

                Prevodnik prevodnik = new Prevodnik();

                prevodnik.vyberprevodnik(hodnota, jednotka, jednotkaa);
 
                vysledky.Text = prevodnik.vysledek.ToString() + " " + jednotkaa;
                
            }
        }

        private void delkyToolStripMenuItem_Click(object sender, EventArgs e)
        {
           
            zmena.mazaniboxu(this);
 
            zmena.pridanidelky(this);
      
        }

        private void vahyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
            zmena.mazaniboxu(this);

            zmena.pridanivahy(this);

        }

        private void dataToolStripMenuItem_Click(object sender, EventArgs e)
        {
           
            zmena.mazaniboxu(this);

            zmena.pridanidata(this);

        }

        public void czToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
            jazyk.cz(this);

        }

        public void enToolStripMenuItem_Click(object sender, EventArgs e)
        {

            jazyk.en(this);

        }

        public void fiToolStripMenuItem_Click(object sender, EventArgs e)
        {

            jazyk.fi(this);

        }

    }
}
