﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrevodnikJednotek
{
    /// <summary>
    /// Represent convertor
    /// </summary>
    interface IConvertor
    {
        /// <summary>
        /// Convert values between units
        /// </summary>
        /// <param name="value">Value which will be converted</param>
        /// <param name="differenceBetweenUnits"></param>
        /// <returns>Converted value</returns>
        double Convert(double value, int fromUnit, int toUnit);
        /// <summary>
        /// Get collection which contais name of multiple and their multipling value
        /// </summary>
        /// <returns>Dictionary with units</returns>
        Dictionary<string, int> GetUnits();
    }
}
