﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml.Linq;

namespace UnitConverter
{
    /**
     * Pre súťaž Machr na Alogoritmy vytvoril Štefan Pružinský (stevkopr).
     * */

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        UIHelper uiHelper;
        Converter converter;

        public MainWindow()
        {
            InitializeComponent();

            uiHelper = new UIHelper(this);
            converter = new Converter(uiHelper);

            uiHelper.RenderUI();
        }

        private void convertButton_Click(object sender, RoutedEventArgs e)
        {
            converter.Convert();
        }

        private void languageCombo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            uiHelper.LanguageManager.TranslateUI(false);
        }

        private void quantityCombo_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            uiHelper.QuantityCombo_SelectionChanged_ChangeUnits();
        }
    }
}
