﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Machr___Vicejazycna_aplikace
{
    public partial class Form1 : Form
    {

        /*
         * 
         * Aplikaci vytvořil František Boháček
         * 
         * Tato aplikace slouží k převodu jednotek a je určena do soutěže Machr na C# .NET na portále itnetwork.cz
         * 
         * */


        //Tímto jsem vyřešil vyjímky..
        public Boolean isFromUser = true;
        Language l;
        Units u;
        public Form1()
        {
            InitializeComponent();
            
            l = new Language(this);
            l.setLang(l.getSystemLang());

            u = new Units(this);
            u.setUnits(0);
        }

        private void language_SelectedIndexChanged(object sender, EventArgs e)
        {
            //Změnit jazyk
            if (isFromUser)
            {
                //Získání čísla jazyka, nastavení jazyka
                int lang = this.language.SelectedIndex;
                l.setLang(lang);
            }
        }

        private void toConvert_SelectedIndexChanged(object sender, EventArgs e)
        {
            //nastaví jaké jednotky používat
            if(isFromUser)
            u.setUnits(u.getUnits());
        }

        private void Convert_Click(object sender, EventArgs e)
        {
            //Vypočítá
            int units = u.getUnits();
            int from = u.getFrom();
            int to = u.getTo();
            int value;

            if(!int.TryParse(this.value.Text, out value))
            {
                MessageBox.Show(l.notNumber(), "Value", MessageBoxButtons.OK, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button1);
                return;
            }

            if (units == Units.UnitsOfWeight) 
            {
               result.Text = UnitsOfWeight.convert(from, value, to).ToString();
            }
            else if (units == Units.UnitsOfSize)
            {
                result.Text = UnitsOfSize.convert(from, value, to).ToString();
            }
            else if (units == Units.UnitsOfDC)
            {
                result.Text = UnitsOfDC.convert(from, value, to).ToString();
            }
            
        }
    }
}
