﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Machr___Vicejazycna_aplikace
{
    class Language
    {
        //čísla jazyků
        public const int CZ = 0, EN = 1;
        //poslední nastavený jazyk
        private int lastLang = 0;
        Form1 f;
        public Language(Form1 form)
        {
            this.f = form;
            
        }

        public int getSystemLang() {
            String name = System.Globalization.CultureInfo.CurrentCulture.EnglishName;
            if (name.ToLower().StartsWith("czech")) { return CZ; }
            else { return EN; }
            
        }

        public String notNumber()
        {
            //Překládání vyjímky, když se nezadá správné číslo
            if (lastLang == EN) { return "You must put correct number!"; }
            else if (lastLang == CZ) { return "Musíš vložit správné číslo!"; }
            else return null;
        }

        public void setLang(int lang) 
        {
            lastLang = lang;
            f.isFromUser = false;
            //Vymaže hodnoty z listu ComboBoxu toConvert (tam, kde jsou vypsané všechny jednotky  -- Jednotky míry atp.)
            if(f.toConvert.Items.Count != 0)
            f.toConvert.Items.Clear();

            //Nastaví ComboBox language a jeho label
            if (f.language.Items.Count == 0)
            {

                f.language.Items.Add("Čeština");
                f.language.Items.Add("English");

                f.languageL.Text = "Language";
            }
            
            f.language.SelectedIndex = lang;

            //Nastaví češtinu do programu
            if (lang == CZ)
            {
                f.convertFromL.Text = "Převést z";
                f.convertToL.Text = "Převést do";
                f.toConvertL.Text = "K převedení";
                f.valueL.Text = "Hodnota";
                f.Convert.Text = "Převést";
                f.resultL.Text = "Výsledek";
                f.Text = "Převodník jednotek";

                f.toConvert.Items.Add("Jednotky váhy");
                f.toConvert.Items.Add("Jednotky míry");
                f.toConvert.Items.Add("Jednotky datové kapacity");
                f.toConvert.SelectedIndex = 0;
            
            }
            //Nastaví angličtinu
            else if (lang == EN)
            {
                f.convertFromL.Text = "Convert from";
                f.convertToL.Text = "Convert to";
                f.toConvertL.Text = "To convert";
                f.valueL.Text = "Value";
                f.Convert.Text = "Convert";
                f.resultL.Text = "Result";
                f.Text = "Units Converter";

                f.toConvert.Items.Add("Units of weight");
                f.toConvert.Items.Add("Units of size");
                f.toConvert.Items.Add("Units of data capacity");

                f.toConvert.SelectedIndex = 0;
            }

            f.isFromUser = true;
        }



    }
}
