﻿using System;
using System.Windows.Forms;

namespace Konvertor
{
    static class Program
    {
        [STAThread]
        static void Main(string[] args)
        {
            string umisteni = AppDomain.CurrentDomain.BaseDirectory;
            Konfigurator konfigurace = new Konfigurator(umisteni,args);
            Prekladac.Inicializuj(konfigurace);

            if (konfigurace.ModKonzole){
                ModKonzole aplikace = new ModKonzole(konfigurace);
                aplikace.Spustit();
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new HlavniFormular(konfigurace));
        }
    }
}
