﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Globalization;
using System.Windows.Forms;

namespace WindowsFormsApplication21
{
    class JazykAutomat
    {
        // funkce pro automaticke nastaveni jazyka
        public void defaultjazyk(Form1 frm)
        {
            // nastaveni jazyka programu dle jazyka systemu
            CultureInfo oslang = CultureInfo.InstalledUICulture;

            if (oslang.Name == "cs-CZ")
            {
                frm.czToolStripMenuItem_Click(null, EventArgs.Empty);
            }

            else if ((oslang.Name == "en-GB") || (oslang.Name == "en-US"))
            {
                frm.enToolStripMenuItem_Click(null, EventArgs.Empty);
            }

            else if (oslang.Name == "fi-FI")
            {
                frm.fiToolStripMenuItem_Click(null, EventArgs.Empty);
            }
            
            else
            {
                // pokud uzivatel ma nastaven jiny jazyk
                DialogResult hlaska = MessageBox.Show("Pouzivas jazyk ktery aplikace nepodporuje, prosim pouzij jeden z techto jazyku \n\n(cs-CZ), (en-GB), (en-US), (fi-Fi)");
                 
                if (hlaska == DialogResult.OK)
                {                   
                    System.Environment.Exit(0);
                }
            }

            
        }
    }
}
