﻿using System.Collections.Generic;

namespace Prevodnik
{
    class Convertor
    {
        protected Dictionary<string, double> units;
        protected string type = "";
        /// <summary>
        /// Vraci typ jednotky
        /// </summary>
        /// <returns>type</returns>
        public virtual string GetType()
        {
            return type;
        }
        /// <summary>
        /// Vraci jednotky
        /// </summary>
        /// <returns>unit,conversion</returns>
        public virtual Dictionary<string, double> GetUnits()
        {
            return null;
        }
        /// <summary>
        /// Prevadi jednotky
        /// </summary>
        /// <param name="number">number to convert</param>
        /// <param name="from">original unit</param>
        /// <param name="target">target unit</param>
        /// <returns></returns>
        public virtual string Convert(double number, string from, string target)
        {
            return "";
        }
    }
}
